pipeline{
agent any
    environment {
        DOCKERHUB_CREDENTIALS = credentials('pointage_env')
    }
        stages{
            stage('Init'){
            steps{
                // Permet l'authentification
                sh 'echo $DOCKERHUB_CREDENTIALS_PSW | docker login -u $DOCKERHUB_CREDENTIALS_USR --password-stdin'
            }
        }
            stage('Build docker image'){
                steps{
                    script{
                                    sh 'docker build -t mariampoly/devop_projet .'
                                 }
                             }
                         }
         

		stage('Docker push') {
        steps {
          sh 'echo "Docker is pushing ...."'
          sh 'docker push mariampoly/devop_projet'
                        }  }

          stage('Docker compose') {
               steps {
                sh 'docker-compose up -d'
                }
                  }
        }


        }
